package com.logicbig.example;

import javax.ws.rs.client.WebTarget;

public class CookieParamClient {
    public static void main(String[] args) {

        WebTarget target = ClientUtil.createRequest("/test4");

        String response = target.request()
                                .cookie("cookieParam1", "cookie param value")
                                .get(String.class);
        System.out.printf("response with cookie param:%n%s%n", response);

        //without cookie param
        target = ClientUtil.createRequest("/test4");
        response = target.request().get(String.class);
        System.out.printf("response without cookie param:%n%s%n", response);
    }
}