package com.logicbig.example;

import javax.ws.rs.client.Entity;
import javax.ws.rs.client.WebTarget;
import javax.ws.rs.core.Form;
import javax.ws.rs.core.MediaType;

public class FormParamClient {
    public static void main(String[] args) {

        WebTarget target = ClientUtil.createRequest("/test5");

        Form form = new Form();
        form.param("formParam1", "form param test value");

        Entity<Form> entity = Entity.entity(form,
                MediaType.APPLICATION_FORM_URLENCODED_TYPE);
        String response = target.request().post(entity, String.class);
        System.out.printf("response with form param:%n%s%n", response);

        target = ClientUtil.createRequest("/test5");
        form = new Form();
        entity = Entity.entity(form, MediaType.APPLICATION_FORM_URLENCODED_TYPE);
        response = target.request().post(entity, String.class);
        System.out.printf("response without form param:%n%s%n", response);
    }
}